cURL
curl --request GET \
--url https://api.woox.io/v3/asset/wallet/history \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-signature: <x-api-signature>' \
--header 'x-api-timestamp: <x-api-timestamp>'import requests
url = "https://api.woox.io/v3/asset/wallet/history"
headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};
fetch('https://api.woox.io/v3/asset/wallet/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"rows": [
{
"createdTime": "1579399877.041", // Unix epoch time in seconds
"updatedTime": "1579399877.041", // Unix epoch time in seconds
"id": "202029292829292",
"externalId": "202029292829292",
"applicationId": null,
"token": "ETH",
"targetAddress": "0x31d64B3230f8baDD91dE1710A65DF536aF8f7cDa",
"sourceAddress": "0x70fd25717f769c7f9a46b319f0f9103c0d887af0",
"confirmingThreshold":12,
"confirmedNumber":12,
"extra": "",
"type": "BALANCE",
"tokenSide": "DEPOSIT",
"amount": "1000",
"txId": "0x8a74c517bc104c8ebad0c3c3f64b1f302ed5f8bca598ae4459c63419038106b6",
"feeToken": null,
"feeAmount": null,
"status": "CONFIRMING"
}
...
],
"meta": {
"total": 46,
"recordsPerPage": 1,
"currentPage": 1
}
},
"timestamp": 1690192103430
}
Assets
Get wallet history
Get Wallet History
GET
/
v3
/
asset
/
wallet
/
history
cURL
Limit: 10 requests per 60 seconds
Get your unique deposit address by token
Get your unique deposit address by token
{
"success": true,
"data": {
"rows": [
{
"createdTime": "1579399877.041", // Unix epoch time in seconds
"updatedTime": "1579399877.041", // Unix epoch time in seconds
"id": "202029292829292",
"externalId": "202029292829292",
"applicationId": null,
"token": "ETH",
"targetAddress": "0x31d64B3230f8baDD91dE1710A65DF536aF8f7cDa",
"sourceAddress": "0x70fd25717f769c7f9a46b319f0f9103c0d887af0",
"confirmingThreshold":12,
"confirmedNumber":12,
"extra": "",
"type": "BALANCE",
"tokenSide": "DEPOSIT",
"amount": "1000",
"txId": "0x8a74c517bc104c8ebad0c3c3f64b1f302ed5f8bca598ae4459c63419038106b6",
"feeToken": null,
"feeAmount": null,
"status": "CONFIRMING"
}
...
],
"meta": {
"total": 46,
"recordsPerPage": 1,
"currentPage": 1
}
},
"timestamp": 1690192103430
}
Headers
Example:
"abcdef123456"
Example:
"signaturestring"
Example:
"1718943200000"
Query Parameters
use when query specific transaction id (the result of withdrawal or internal transfer.)
network name you want to search (from /v1/public/token)
token name you want to search
BALANCE/COLLATERAL
DEPOSIT/WITHDRAW
NEW/CONFIRMING/PROCESSING/COMPLETED/CANCELED
start www time in unix timestamp
end time in unix timestamp
the page you wish to query.
the page size you wish to query, default = 25, 1000 at max.
⌘I